from Tkinter import *
from tkMessageBox import *

def say_hi():
	showinfo(message="Hi there "+inVal.get())

root = Tk()

b1 = Button(root, text="Hello", command=say_hi)
b1.grid(column=2,row=0)

b2 = Button(root, text="QUIT", fg="red", command=root.quit)
b2.grid(column=3,row=0)

inVal = StringVar()
input = Entry(root, textvar=inVal)
input.grid(column=1,row=0)

label = Label(root, text="Enter your name: ")
label.grid(column=0,row=0)

root.mainloop()